Subject: bug#41744: 27.0.91; Various D-Bus cleanups

From: "Basil L. Contovounesios" <[email-masked]>
Date: Mon, 08 Jun 2020 15:00:01 +0100

Michael Albinus <[email-masked]> writes:

> "Basil L. Contovounesios" <[email-masked]> writes:
>
>> While reading through the D-Bus manual and implementation, I noticed
>> some opportunities for small cleanups.
>
> Thanks a lot for your enourmous work!
>
>> I propose these documentation cleanups for emacs-27:
>
> In general, I agree with your changes.

Thanks for reviewing.

> However, they are so large that I don't know whether they shall go
> into the emacs-27 branch. To be decided by Eli, I guess.

Sure.

>> diff --git a/doc/misc/dbus.texi b/doc/misc/dbus.texi
>
> The changed formatting of the examples exceeds sometimes 80 columns,
> maybe you can adapt the formatting.

None of my changes increase the width of either text or examples.  The
only example touched by the patch which already exceeds 80 columns is
this:

@lisp
(@var{integer} ((@var{string} @var{bool} @var{bool}) (@var{string} @var{bool} @var{bool}) @dots{}))
@end lisp

But I left it alone because the result is less than 60 columns wide and
looks nice to me:

     (INTEGER ((STRING BOOL BOOL) (STRING BOOL BOOL) ...))

Can you please point out which parts you want reformatted?

>> And these implementation cleanups for master:
>
> This I will review once the first patch set has arrived in master.

Sure, thanks,

-- 
Basil